[SM-Grimoire-Bugs] [Bug 15258] New: mplayerplug-in 3.55 fails with GCC 4.4

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Fri Jun 12 17:53:49 EDT 2009


http://bugs.sourcemage.org/show_bug.cgi?id=15258

           Summary: mplayerplug-in 3.55 fails with GCC 4.4
           Product: Codex
           Version: test grimoire
          Platform: All
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P3
         Component: video
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: sandalle at sourcemage.org
            Blocks: 15252


$ sorcery -v
1.14.4-rc2

$ gaze version gcc glibc xulrunner
Grimoire  Section  Spell      Grimoire Version  Installed Version
--------  -------  -----      ----------------  -----------------
test      gnu      gcc        4.3.3             4.4.0
test      libs     glibc      2.10.1            2.10.1
test      http     xulrunner  1.9.0.11          1.9.0.10

$ grep HEADERS /etc/sorcery/local/depends/glibc.p
GLIBC_SANITIZE_HEADERS="n"
GLIBC_HEADERS_DIR="/usr/src/glibc-2.10.1/linux-2.6.30"

# cast mplayerplug-in
mplayerplug-in preparing environment...
mplayerplug-in running configuration...
[[ Enable Window Media support? -> y ]]
[[ Enable Real Media support? -> y ]]
[[ Enable Google Media support? -> y ]]
[[ Enable QuickTime support? -> y ]]
...
g++ -c -o plugin-support.o -Wall -DXP_UNIX -DMOZ_X11 -fshort-wchar
-I/usr/include/xulrunner-1.9/stable -I/usr/include/nspr  
-I/usr/include/xulrunner-1.9 -march=core2 -fPIC -DPIC -mmmx -mfpmath=sse -msse
-msse2 -msse3 -mssse3 -pipe -DPIC -fPIC -O2      -march=core2 -fPIC -DPIC -mmmx
-mfpmath=sse -msse -msse2 -msse3 -mssse3 -pipe -DPIC -fPIC -O2  -Iinclude -fPIC
 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2
-I/usr/include/libpng12   -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1
-I/usr/include/freetype2 -I/usr/include/libpng12   -pthread
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DGTK_ENABLED  
Source/plugin-support.cpp
Source/plugin-support.cpp: In function 'char* getURLFilename(const char*)':
Source/plugin-support.cpp:124: error: invalid conversion from 'const char*' to
'char*'
Source/plugin-support.cpp: In function 'void killmplayer(nsPluginInstance*)':
Source/plugin-support.cpp:506: warning: deprecated conversion from string
constant to 'char*'
Source/plugin-support.cpp:507: warning: deprecated conversion from string
constant to 'char*'
Source/plugin-support.cpp: In function 'void fullyQualifyURL(nsPluginInstance*,
char*, char*)':
Source/plugin-support.cpp:633: warning: format '%i' expects type 'int', but
argument 4 has type 'long int'
make: *** [plugin-support.o] Error 1

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list